"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCDataChannelEventBase_1 = require("../base/TNSRTCDataChannelEventBase");
var TNSRTCDataChannel_1 = require("./TNSRTCDataChannel");
var TNSRTCDataChannelEvent = (function (_super) {
    __extends(TNSRTCDataChannelEvent, _super);
    function TNSRTCDataChannelEvent(event) {
        var _this = _super.call(this, event) || this;
        _this._event = event;
        return _this;
    }
    Object.defineProperty(TNSRTCDataChannelEvent.prototype, "channel", {
        get: function () {
            return TNSRTCDataChannel_1.TNSRTCDataChannel.fromNative(this._event.channel);
        },
        enumerable: true,
        configurable: true
    });
    TNSRTCDataChannelEvent.fromNative = function (event) {
        return new TNSRTCDataChannelEvent(event);
    };
    return TNSRTCDataChannelEvent;
}(TNSRTCDataChannelEventBase_1.TNSRTCDataChannelEventBase));
exports.TNSRTCDataChannelEvent = TNSRTCDataChannelEvent;
//# sourceMappingURL=TNSRTCDataChannelEvent.js.map