"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCIceServerBase_1 = require("../base/TNSRTCIceServerBase");
var TNSRTCIceServer = (function (_super) {
    __extends(TNSRTCIceServer, _super);
    function TNSRTCIceServer(urls, username, credential) {
        var _this = _super.call(this, urls, username, credential) || this;
        _this.server = FancyRTCIceServer.alloc().initWithUrlsUsernameCredential(urls, username, credential);
        return _this;
    }
    Object.defineProperty(TNSRTCIceServer.prototype, "credential", {
        get: function () {
            return this.server.credential;
        },
        set: function (value) {
            this.server.credential = value;
        },
        enumerable: true,
        configurable: true
    });
    TNSRTCIceServer.prototype.toWebRtc = function () {
        return this.server.toWebRtc();
    };
    Object.defineProperty(TNSRTCIceServer.prototype, "iceServer", {
        get: function () {
            return this.server.iceServer();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceServer.prototype, "ios", {
        get: function () {
            return this.iceServer;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceServer.prototype, "instance", {
        get: function () {
            return this.server;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceServer.prototype, "credentialType", {
        get: function () {
            return null;
        },
        set: function (credentialType) {
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceServer.prototype, "urls", {
        get: function () {
            return this.server.getUrls();
        },
        set: function (urls) {
            this.server.setUrlsWithUrls(urls);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceServer.prototype, "username", {
        get: function () {
            return this.server.getUsername();
        },
        set: function (username) {
            this.server.setUsernameWithUsername(username);
        },
        enumerable: true,
        configurable: true
    });
    return TNSRTCIceServer;
}(TNSRTCIceServerBase_1.TNSRTCIceServerBase));
exports.TNSRTCIceServer = TNSRTCIceServer;
//# sourceMappingURL=TNSRTCIceServer.js.map