"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCIceServerBase_1 = require("../base/TNSRTCIceServerBase");
var TNSRTCIceServer = (function (_super) {
    __extends(TNSRTCIceServer, _super);
    function TNSRTCIceServer(urls, username, credential) {
        var _this = _super.call(this, urls, username, credential) || this;
        var array = Array.create('java.lang.String', urls.length);
        var length = urls.length;
        for (var i = 0; i < length; i++) {
            array[i] = urls[i];
        }
        if (urls && !username && !credential) {
            _this.server = new co.fitcom.fancywebrtc.FancyRTCIceServer(array);
        }
        else {
            _this.server = new co.fitcom.fancywebrtc.FancyRTCIceServer(array, username, credential);
        }
        return _this;
    }
    Object.defineProperty(TNSRTCIceServer.prototype, "credential", {
        get: function () {
            return this.server.getCredential();
        },
        set: function (value) {
            this.server.setCredential(value);
        },
        enumerable: true,
        configurable: true
    });
    TNSRTCIceServer.prototype.toWebRtc = function () {
        return this.server.toWebRtc();
    };
    Object.defineProperty(TNSRTCIceServer.prototype, "iceServer", {
        get: function () {
            return this.server.getIceServer();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceServer.prototype, "android", {
        get: function () {
            return this.iceServer();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceServer.prototype, "instance", {
        get: function () {
            return this.server;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceServer.prototype, "credentialType", {
        get: function () {
            return null;
        },
        set: function (credentialType) {
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceServer.prototype, "urls", {
        get: function () {
            return this.server.getUrls();
        },
        set: function (urls) {
            this.server.setUrls(urls);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCIceServer.prototype, "username", {
        get: function () {
            return this.server.getUsername();
        },
        set: function (username) {
            this.server.setUsername(username);
        },
        enumerable: true,
        configurable: true
    });
    return TNSRTCIceServer;
}(TNSRTCIceServerBase_1.TNSRTCIceServerBase));
exports.TNSRTCIceServer = TNSRTCIceServer;
//# sourceMappingURL=TNSRTCIceServer.js.map