"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCMediaStreamConstraintsBase_1 = require("../base/TNSRTCMediaStreamConstraintsBase");
var TNSRTCMediaStreamConstraints = (function (_super) {
    __extends(TNSRTCMediaStreamConstraints, _super);
    function TNSRTCMediaStreamConstraints(audio, video) {
        var _this = _super.call(this, audio, video) || this;
        var gson = new com.google.gson.Gson();
        if (typeof audio === 'boolean' && typeof video === 'boolean') {
            _this._mediaStreamConstraints = new co.fitcom.fancywebrtc.FancyRTCMediaStreamConstraints(audio, video);
        }
        else if (typeof audio === 'boolean' && typeof video === 'object') {
            _this._mediaStreamConstraints = new co.fitcom.fancywebrtc.FancyRTCMediaStreamConstraints(audio, gson.fromJson(JSON.stringify(video), java.util.Map.class));
        }
        else if (typeof audio === 'object' && typeof video === 'boolean') {
            _this._mediaStreamConstraints = new co.fitcom.fancywebrtc.FancyRTCMediaStreamConstraints(gson.fromJson(JSON.stringify(audio), java.util.Map.class), video);
        }
        else if (typeof audio === 'object' && typeof video === 'object') {
            _this._mediaStreamConstraints = new co.fitcom.fancywebrtc.FancyRTCMediaStreamConstraints(gson.fromJson(JSON.stringify(audio), java.util.Map.class), gson.fromJson(JSON.stringify(video), java.util.Map.class));
        }
        else {
            _this._mediaStreamConstraints = new co.fitcom.fancywebrtc.FancyRTCMediaStreamConstraints(false, true);
        }
        return _this;
    }
    Object.defineProperty(TNSRTCMediaStreamConstraints.prototype, "instance", {
        get: function () {
            return this._mediaStreamConstraints;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStreamConstraints.prototype, "android", {
        get: function () {
            return null;
        },
        enumerable: true,
        configurable: true
    });
    return TNSRTCMediaStreamConstraints;
}(TNSRTCMediaStreamConstraintsBase_1.TNSRTCMediaStreamConstraintsBase));
exports.TNSRTCMediaStreamConstraints = TNSRTCMediaStreamConstraints;
//# sourceMappingURL=TNSRTCMediaStreamConstraints.js.map