"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSRTCMediaStreamConstraintsBase_1 = require("../base/TNSRTCMediaStreamConstraintsBase");
var TNSRTCMediaStreamConstraints = (function (_super) {
    __extends(TNSRTCMediaStreamConstraints, _super);
    function TNSRTCMediaStreamConstraints(audio, video) {
        var _this = _super.call(this, audio, video) || this;
        if (typeof audio === 'boolean' && typeof video === 'boolean') {
            _this._mediaStreamConstraints = FancyRTCMediaStreamConstraints.alloc().initWithAudioVideo(audio, video);
        }
        else if (typeof audio === 'boolean' && typeof video === 'object') {
            _this._mediaStreamConstraints = FancyRTCMediaStreamConstraints.alloc().initWithVideoDictVideo(audio, video);
        }
        else if (typeof audio === 'object' && typeof video === 'boolean') {
            _this._mediaStreamConstraints = FancyRTCMediaStreamConstraints.alloc().initWithAudioDictVideo(audio, video);
        }
        else if (typeof audio === 'object' && typeof video === 'object') {
            _this._mediaStreamConstraints = FancyRTCMediaStreamConstraints.alloc().initWithAudioDictVideoDict(audio, video);
        }
        else {
            _this._mediaStreamConstraints = FancyRTCMediaStreamConstraints.alloc().initWithAudioVideo(false, true);
        }
        return _this;
    }
    Object.defineProperty(TNSRTCMediaStreamConstraints.prototype, "instance", {
        get: function () {
            return this._mediaStreamConstraints;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSRTCMediaStreamConstraints.prototype, "android", {
        get: function () {
            return null;
        },
        enumerable: true,
        configurable: true
    });
    return TNSRTCMediaStreamConstraints;
}(TNSRTCMediaStreamConstraintsBase_1.TNSRTCMediaStreamConstraintsBase));
exports.TNSRTCMediaStreamConstraints = TNSRTCMediaStreamConstraints;
//# sourceMappingURL=TNSRTCMediaStreamConstraints.js.map