"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var observable_1 = require("tns-core-modules/data/observable");
var Common = (function (_super) {
    __extends(Common, _super);
    function Common() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.defaultServers = [
            'stun:stun.l.google.com:19302',
            'stun:stun1.l.google.com:19302',
            'stun:stun2.l.google.com:19302',
            'stun:stun3.l.google.com:19302',
            'stun:stun4.l.google.com:19302'
        ];
        return _this;
    }
    return Common;
}(observable_1.Observable));
exports.Common = Common;
var Quality;
(function (Quality) {
    Quality[Quality["MAX_480P"] = 0] = "MAX_480P";
    Quality[Quality["MAX_720P"] = 1] = "MAX_720P";
    Quality[Quality["MAX_1080P"] = 2] = "MAX_1080P";
    Quality[Quality["MAX_2160P"] = 3] = "MAX_2160P";
    Quality[Quality["HIGHEST"] = 4] = "HIGHEST";
    Quality[Quality["LOWEST"] = 5] = "LOWEST";
})(Quality = exports.Quality || (exports.Quality = {}));
var WebRTCDataChannelMessageType;
(function (WebRTCDataChannelMessageType) {
    WebRTCDataChannelMessageType["BINARY"] = "binary";
    WebRTCDataChannelMessageType["TEXT"] = "text";
})(WebRTCDataChannelMessageType = exports.WebRTCDataChannelMessageType || (exports.WebRTCDataChannelMessageType = {}));
var SignalingState;
(function (SignalingState) {
    SignalingState["STABLE"] = "stable";
    SignalingState["HAVE_LOCAL_OFFER"] = "have-local-offer";
    SignalingState["HAVE_LOCAL_PRANSWER"] = "have-local-pranswer";
    SignalingState["HAVE_REMOTE_OFFER"] = "have-remote-offer";
    SignalingState["HAVE_REMOTE_PRANSWER"] = "have-remote-pranswer";
    SignalingState["CLOSED"] = "closed";
})(SignalingState = exports.SignalingState || (exports.SignalingState = {}));
var IceGatheringState;
(function (IceGatheringState) {
    IceGatheringState["NEW"] = "new";
    IceGatheringState["GATHERING"] = "gathering";
    IceGatheringState["COMPLETE"] = "complete";
})(IceGatheringState = exports.IceGatheringState || (exports.IceGatheringState = {}));
var IceConnectionState;
(function (IceConnectionState) {
    IceConnectionState["NEW"] = "new";
    IceConnectionState["CHECKING"] = "checking";
    IceConnectionState["CONNECTED"] = "connected";
    IceConnectionState["COMPLETED"] = "completed";
    IceConnectionState["FAILED"] = "failed";
    IceConnectionState["DISCONNECTED"] = "disconnected";
    IceConnectionState["CLOSED"] = "closed";
})(IceConnectionState = exports.IceConnectionState || (exports.IceConnectionState = {}));
var WebRTCDataChannelState;
(function (WebRTCDataChannelState) {
    WebRTCDataChannelState["CONNECTING"] = "connecting";
    WebRTCDataChannelState["CLOSED"] = "closed";
    WebRTCDataChannelState["CLOSING"] = "closing";
    WebRTCDataChannelState["OPEN"] = "open";
})(WebRTCDataChannelState = exports.WebRTCDataChannelState || (exports.WebRTCDataChannelState = {}));
var IceServer = (function () {
    function IceServer() {
    }
    return IceServer;
}());
exports.IceServer = IceServer;
var WebRTCState;
(function (WebRTCState) {
    WebRTCState[WebRTCState["CONNECTING"] = 0] = "CONNECTING";
    WebRTCState[WebRTCState["DISCONNECTED"] = 1] = "DISCONNECTED";
    WebRTCState[WebRTCState["CONNECTED"] = 2] = "CONNECTED";
})(WebRTCState = exports.WebRTCState || (exports.WebRTCState = {}));
var WebRTCSdpType;
(function (WebRTCSdpType) {
    WebRTCSdpType["OFFER"] = "offer";
    WebRTCSdpType["PRANSWER"] = "prAnswer";
    WebRTCSdpType["ANSWER"] = "answer";
})(WebRTCSdpType = exports.WebRTCSdpType || (exports.WebRTCSdpType = {}));
//# sourceMappingURL=webrtc.common.js.map